Bug 297341 - nspluginwrapper needs policy
nspluginwrapper needs policy
Status: CLOSED DUPLICATE of bug 250249
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-19 23:21 EDT by Jeremy Katz
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 05:58:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-09-19 23:21:57 EDT
Using nspluginwrapper to run plugins ends up meaning that it needs
unconfined_execmem_exec_t (... and it might mean that we can drop it from
firefox in the future).

avc: denied { execmem } for comm=npviewer.bin egid=500 euid=500
exe=/usr/lib/nspluginwrapper/npviewer.bin exit=-13 fsgid=500 fsuid=500 gid=500
items=0 pid=10729 scontext=system_u:system_r:unconfined_t:s0 sgid=500
subj=system_u:system_r:unconfined_t:s0 suid=500 tclass=process
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=500
Comment 1 Martin Stransky 2007-09-20 05:58:02 EDT
It's a dupe of Bug 250249

*** This bug has been marked as a duplicate of 250249 ***

Note You need to log in before you can comment on or make changes to this bug.